UiPath Documentation
automation-cloud
latest
false

Guía de la API de UiPath Automation Cloud

Última actualización 5 de may. de 2026

Search Directory

Searches the directory for entities (users, groups, or applications) matching a prefix string, based on the organization ID.

Punto final de API

GET {accessURL}/{organizationName}/identity_/api/Directory/Search/{partitionGlobalId}

Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:

Cloud PlatformURL de acceso
Automation Cloudhttps://cloud.uipath.com/
Sector público de Automation Cloudhttps://govcloud.uipath.us/
Automation Cloud dedicadohttps://{customURL}.dedicated.uipath.com/

Ámbitos

Necesita los siguientes ámbitos:

  • PM.Directory

Solicitar encabezados.

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Nota:

Para obtener el {access_token}, asegúrate de autenticarte a través de uno de los métodos descritos aquí.

Parámetros de ruta

Parámetros de rutaTipo de datosDescripción
partitionGlobalId (obligatorio)String (GUID)The ID of the organization to search within.

Parámetros de consulta

Parámetros de consultaTipo de datosDescripción
startsWith (obligatorio)CadenaThe prefix string to search for. Results will match entities whose name, email, or display name starts with this value.
entityType (opcional)CadenaThe type of directory entity to search for. Valid values: User, Group, Application. Cannot be used together with sourceFilter.
sourceFilter (opcional)Array of stringsFilters results by source. Valid values: LocalUsers, DirectoryUsers, LocalGroups, DirectoryGroups, RobotAccounts, Applications. Cannot be used together with entityType.
scope (opcional)CadenaOptional scope used for entities in active directory.

Respuesta

200 OK

Returns a list of directory entities matching the search criteria.

[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    },
    {
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "identityName": "Engineering Team",
        "displayName": "Engineering Team",
        "email": null,
        "type": "Group",
        "objectType": "DirectoryGroup"
    }
]
[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    },
    {
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "identityName": "Engineering Team",
        "displayName": "Engineering Team",
        "email": null,
        "type": "Group",
        "objectType": "DirectoryGroup"
    }
]

400 Bad Request

Returned when both entityType and sourceFilter are provided, or when required parameters are missing.

Solicitud de ejemplo

Supongamos que has recopilado toda la información necesaria para crear la llamada a la API.

La llamada debe parecerse al siguiente ejemplo (cURL):

curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Search/3fa85f64-5717-4562-b3fc-2c963f66afa6?startsWith=john&entityType=User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Search/3fa85f64-5717-4562-b3fc-2c963f66afa6?startsWith=john&entityType=User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

Aquí está el body de respuesta de una llamada correcta:

[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    }
]
[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    }
]

¿Te ha resultado útil esta página?

Conectar

¿Necesita ayuda? Soporte

¿Quiere aprender? UiPath Academy

¿Tiene alguna pregunta? Foro de UiPath

Manténgase actualizado